%define upstream_name    Term-ReadLine-Perl5
%define upstream_version 1.43

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Perl5 implementation GNU Readline
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite) >= 0.50.0
BuildRequires: perl(File::HomeDir) >= 0.810.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(POSIX)
BuildRequires: perl(Term::Cap)
BuildRequires: perl(Term::ReadKey) >= 2.300.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Text::VisualWidth::PP)
BuildRequires: perl(Unicode::EastAsianWidth::Detect) >= 0.30.0
BuildRequires: perl(version)
BuildArch:  noarch

%description
Overview
    This is a implementation of the GNU Readline/History Library written in
    Perl5.

    GNU Readline reads lines from an interactive terminal with _emacs_ or
    _vi_ editing capabilities. It provides as mechanism for saving history
    of previous input.

    This package typically used in command-line interfaces and REPLs (Read,
    Eval, Print, Loop).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%buildroot

%files
%doc ChangeLog Changes LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.430.0-4pclos2017
- rebuild against updates

